#ifndef CLNOTICEPOPWIDGET_H
#define CLNOTICEPOPWIDGET

#include <QWidget>
#include "CHttpBll.h"

namespace Ui {
class clNoticePopWidget;
}

class clNoticePopWidget : public QWidget
{
    Q_OBJECT

public:
    explicit clNoticePopWidget(QWidget *parent = nullptr);
    ~clNoticePopWidget();

    void setUI(const int nLeft, const int nTop, const int nWidth, const int nHeight);

	void addNotice(const CNoticeInfo ni);
	int noticeCount();

	void setNoticeRead(__int64 nId);
signals:
    void showNoticeDetail(__int64 nId);
private slots:
    void on_btn_detail_clicked();

    void on_btn_ignore_clicked();

private:
	void showNotice(const CNoticeInfo ni);

    Ui::clNoticePopWidget *ui;
	std::vector<CNoticeInfo> vNL;	
	std::vector<CNoticeInfo> vIgnoreNL;
};

#endif // CLNOTICEPOPWIDGET_H
